commit:     1034cfdcc76121da5843798a08cfebaa226385eb
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 29 21:47:34 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Jun 29 21:47:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1034cfdc

www-apps/icingaweb2: 2.8.1 bump

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 www-apps/icingaweb2/Manifest                |  1 +
 www-apps/icingaweb2/icingaweb2-2.8.1.ebuild | 80 +++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/www-apps/icingaweb2/Manifest b/www-apps/icingaweb2/Manifest
index 4de25c04922..8aea70bd03f 100644
--- a/www-apps/icingaweb2/Manifest
+++ b/www-apps/icingaweb2/Manifest
@@ -1,3 +1,4 @@
 DIST icingaweb2-2.7.1.tar.gz 8389123 BLAKE2B 
f5e469c1fde2b7bc2c22f898a5fb5370ca3788571501f070ed56b32afe8a155aafe70a06bbe09b77cd996725c3e176363aaf0fa885bc843102c56ddfa14da11d
 SHA512 
0300e483e83699a79750dcfd4467a151fcfa95a1eb8735e8d0d8e5d59595ad252b630add3cb462fa4c115b2891f9ab904739ee36d5eb7fcdfb489c9d7658f1b6
 DIST icingaweb2-2.7.3.tar.gz 8388950 BLAKE2B 
8d32f770020f72f1fbbf4c73de1935430976afe976c0b4497a1dd470aad286a9ec57d16dcd1f3f7354082206033d58b43966884c453fd8dd4106c13d8d3e8359
 SHA512 
eee3f81bb3eb29eeaeffe2f890639a12d75f9acf3b7c6649faaff3ab817ab2a5b6cd93b31637794969817f2d42ef5a46704fdc09488642caf6380f57c90d97cb
 DIST icingaweb2-2.8.0.tar.gz 8512745 BLAKE2B 
efcaa75c571b723b59d6d8d305ca541923499d4b083cfabf6f0ced116a6e47bd2e0ed512bdf9043ea47a7931f8e3f567a3b5ffca328076e90ed860ef84df2bfc
 SHA512 
d9cf34284dcc924e758bafbe6169522193f935810b835d005b20d0b9af9c6bf7fd20475b7deea53a18067368e07e89656c7e75f51c5a5313d570836e50e3b638
+DIST icingaweb2-2.8.1.tar.gz 8513180 BLAKE2B 
ee386e1a7cdba73d1ee7f7196fe0a759bdb1ddae6bb5d225b9a6ceabf0b638f8d0e9f9d963635339951ea668b0fefd6569ba58797289990f4b63a4c65f0559b3
 SHA512 
4c8aaeebd96f484cac5b62c5bdc871b06c2d0a9194e3067d6dd439ce9132c913971d0a625cf32c231fe4fa3644a9cdbe25ae2211a81e572bcb7fef95d528cca8

diff --git a/www-apps/icingaweb2/icingaweb2-2.8.1.ebuild 
b/www-apps/icingaweb2/icingaweb2-2.8.1.ebuild
new file mode 100644
index 00000000000..cff828cccc6
--- /dev/null
+++ b/www-apps/icingaweb2/icingaweb2-2.8.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit depend.apache eutils multilib
+
+DESCRIPTION="Icinga Web 2 - Frontend for icinga2"
+HOMEPAGE="http://www.icinga.org/";
+
+if [[ ${PV} == *9999 ]];then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Icinga/icingaweb2.git";
+       EGIT_BRANCH="master"
+else
+       SRC_URI="https://codeload.github.com/Icinga/${PN}/tar.gz/v${PV} -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apache2 apache2-server fpm ldap mysql nginx pdf postgres"
+REQUIRED_USE="( ^^ ( apache2-server nginx ) ) apache2? ( apache2-server )"
+
+DEPEND=">=net-analyzer/icinga2-2.1.1
+               dev-php/pecl-imagick
+               pdf? ( media-gfx/imagemagick[png] )
+               apache2-server? ( >=www-servers/apache-2.4.0 )
+               nginx? ( >=www-servers/nginx-1.7.0:* )
+               || (
+                       
dev-lang/php:5.6[apache2?,cli,fpm?,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:7.1[apache2?,cli,fpm?,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:7.2[apache2?,cli,fpm?,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:7.3[apache2?,cli,fpm?,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:7.4[apache2?,cli,fpm?,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+               )
+               acct-group/icingacmd
+               acct-group/icingaweb2"
+RDEPEND="${DEPEND}"
+
+want_apache2
+
+pkg_setup() {
+       depend.apache_pkg_setup
+
+       use nginx && usermod -a -G icingacmd,icingaweb2 nginx
+       use apache2 && usermod -a -G icingacmd,icingaweb2 apache
+}
+
+pkg_config() {
+       if [[ -d /etc/icingaweb2 ]] ; then
+               einfo "Updating existing installation ..."
+       else
+               einfo "Running first time setup ..."
+               einfo "Creating configuration directory ..."
+               /usr/share/${PN}/bin/icingacli setup config directory
+               einfo "Creating authentication token for web setup ..."
+               /usr/share/${PN}/bin/icingacli setup token create
+               if use apache2 ; then
+                       einfo "The following might be useful for your Apache2 
configuration:"
+                       /usr/share/${PN}/bin/icingacli setup config webserver 
apache --document-root /usr/share/${PN}/public
+               fi
+               if use nginx ; then
+                       einfo "The following might be useful for your NGinx 
configuration:"
+                       /usr/share/${PN}/bin/icingacli setup config webserver 
nginx --document-root /usr/share/${PN}/public
+               fi
+       fi
+       einfo "All done."
+}
+
+src_install() {
+       insinto "/usr/share/${PN}"
+       doins -r "${S}"/*
+       fperms -R a+rX "/usr/share/${PN}/public/"
+       fperms u+x,g+x "/usr/share/${PN}/bin/icingacli"
+}
+
+pkg_postinst() {
+       einfo "Run 'emerge --config =${CATEGORY}/${PF}' to finish setup."
+}

Reply via email to